% Demo for CovarExpDecay

% length of synthesized process
N = 2^10; 

% set parameters for the model
phi1 = 0.9; phi2 = 0.3; phi3 = 0.02; C = 0.01;

% generate covariance structure
R = CovarExpDecay(N,phi1,phi2,phi3,C);

% generate bivariate sequence

% There are two functions that can achive this.
% First example: Function tailored for bivariate synthesis (for P=2)
tic
[X1,Y1] = GenBivarGauss(R,N);
time_GenBivarGauss = toc

% Second example: More general function (for P>=2)
tic
X = GenMultivarGauss(R,N);
time_GenMultivarGauss = toc
X1 = X(1,:); X2 = X(2,:);

% plot the auto- and cross-covariance sequences
figure;
subplot(311); plotcovar(R,1,1); axis([-80 80 0 1]);
subplot(312); plotcovar(R,2,2); axis([-80 80 0 1]);
subplot(313); plotcovar(R,1,2); axis([-80 80 0 0.01]);

% plot a realization of the process
figure;
subplot(211);plot(X1);xlabel('n');ylabel('X_1[n]');
subplot(212);plot(X2);xlabel('n');ylabel('X_2[n]');